## org.hibernate.testing
Annotation Type Skip

    @Retention(value=RUNTIME)
    @Target(value={METHOD,TYPE})
    public @interface Skip

An annotation, used in combination with `Skip.Matcher`, to determine when/if tests should be skipped.

Required Element Summary
`Class<? extends Skip.Matcher>` `condition` The condition which causes a skip
`String` `message` A message describing the reason for the skip

Element Detail

### condition

    public abstract Class<? extends Skip.Matcher> condition

  The condition which causes a skip

  Returns:
    The condition

### message

    public abstract String message

  A message describing the reason for the skip

  Returns:
    Descriptive message

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.